Subject: -w test fails
From: [email-masked] (Kevin 'No, the -other- one' Bailey)

7 Jan 1999 21:17:34 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi all,

I've got to be doing something wrong:

~> touch testfile
~> ls -l testfile
-rw-r--r--   1 0        Everyone        0 Jan  7 17:50 testfile
~> if [ -w testfile ] ; then echo "WRITEABLE"; else echo "READONLY"; fi
READONLY
~> grep kevinb /etc/passwd
kevinb::1238:513:Kevin Bailey://server/users/kevinb:/bin/sh
~> grep Everyone /etc/group
Everyone::0:
~> umask
000
~> type test
test is a shell builtin

Any ideas why -w fails ?  I suspect its something in the /etc
files or my umask but its beyond me.

All other tests that I've tried work (readable, executable, ...)

I'm using bash under B20.1 if that helps.

Thanks,
krb
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".